// =============================================================================
// Framework include
// =============================================================================
// NWN Faerun Framework (c) 2024 by Julien Lecomte
// SPDX-License-Identifier: MIT
//
// This file is part of the Faerun Framework:
//   https://framework.faerun.pw
//
//

#include "x0_i0_campaign"

const string X0_CAMPAIGN_DB = "X0_CAMPAIGN_DB";

// -----------------------------------------------------------------------------

// Get the campaign name saved in module's variable "X0_CAMPAIGN_DB"
string GetCampaignName(string sSuffix = "");
string GetCampaignName(string sSuffix = "")
{
  object oModule = GetModule();
  string sCampaign = GetLocalString(oModule, X0_CAMPAIGN_DB);

  if (sSuffix == "")
    return sCampaign;

  return sCampaign + "_" + sSuffix;
}
