// =============================================================================
// Framework include
// =============================================================================
// NWN Faerun Framework (c) 2024 by Julien Lecomte
// SPDX-License-Identifier: MIT
//
// This file is part of the Faerun Framework:
//   https://framework.faerun.pw
//


#include "fi_console"


// -----------------------------------------------------------------------------
int GetLoreItemMaxValue(int nLore);
int GetLoreItemMaxValue(int nLore)
{
  if (nLore < 0)
    return 0;

  int nMaxValue = StringToInt(Get2DAString("SkillVsItemCost", "DeviceCostMax", nLore));
  if (nMaxValue == 0)
  {
    int nRows = Get2DARowCount("SkillVsItemCost");
    return GetLoreItemMaxValue(nRows - 1);
  }
  return nMaxValue;
}
