// TODO: Review, Test, Document
// =============================================================================
// Framework include
// =============================================================================
// NWN Faerun Framework (c) 2024 by Julien Lecomte
// SPDX-License-Identifier: MIT
//
// This file is part of the Faerun Framework:
//   https://framework.faerun.pw
//

// Avoid "too many includes" error by including it now
#include "fi_area"
#include "fi_console"

#include "x0_i0_enemy"

#include "nw_i0_generic"

#include "x0_i0_anims"
#include "x0_i0_treasure"

#include "x2_inc_switches"

#include "nwnx_encounter"

const string WALK_RANDOM = "WALK_RANDOM";
const string NW_I_AM_DEAD = "NW_I_AM_DEAD";
const string NW_ATTACK_MY_TARGET = "NW_ATTACK_MY_TARGET";

// Creature spawns from the skybox. Looks good mostly only for spiders, bats or ghosts
const string CREATURE_VAR_USE_SPAWN_IN_ANIMATION = "X2_L_SPAWN_USE_SPAWN_IN_ANIMATION";

const string DEBUG_AI = "DEBUG_AI";


// -----------------------------------------------------------------------------
void ResumeActivity(object oSelf);
void ResumeActivity(object oSelf)
{

}


// -----------------------------------------------------------------------------
void DetermineCombatRoundEx(int nEvent, object oIntruder = OBJECT_INVALID)
{
  if (GetHasEffect(EFFECT_TYPE_PETRIFY, OBJECT_SELF))
    return;

  // ActionRandomWalk must be cleared
  if (GetCurrentAction(OBJECT_SELF) == ACTION_RANDOMWALK)
    ClearAllActions();

  DetermineCombatRound(oIntruder);
}

// void main() {}
