// =============================================================================
// Framework unit
// =============================================================================
// NWN Faerun Framework (c) 2024 by Julien Lecomte
// SPDX-License-Identifier: MIT
//
// This file is part of the Faerun Framework:
//   https://framework.faerun.pw
//

/*! rst
Cancel out every faction reputation change.
*/


#include "fi_events"
#include "fi_console"


// =============================================================================
void main()
{
  object oPC;
  int nEvent = GetEvent();

  switch (nEvent)
  {
    case EVENT_REGISTER:
      RegisterEvent(EVENT_FACTION_REPUTATION_BEFORE);
      return;

    case EVENT_FACTION_REPUTATION_BEFORE:
      NWNX_Events_SkipEvent();
      break;
  }
}


