// =============================================================================
// Raise Dead
// =============================================================================
// Copyright (c) 2002 Bioware Corp.
//
// cf. nw_s0_raisdead

/*! rst
Modified as to broadcast an EVENT_PLAYER_RAISED event
*/

// TODO: Add a raised counter (and a death counter)


#include "fi_events"
#include "fi_spell"

#include "x2_inc_spellhook"


void main()
{
  if (!X2PreSpellCastCode())
    return;

  object oTarget = GetSpellTargetObject();
  int nSuccess = RaiseDead(oTarget);

  if (nSuccess && GetIsPC(oTarget))
    BroadcastEvent(EVENT_PLAYER_RAISED, oTarget);

  if (nSuccess && !GetIsPC(oTarget))
    SetAILevel(oTarget, AI_LEVEL_DEFAULT);
}

