// =============================================================================
// Ressurection
// =============================================================================
// Copyright (c) 2002 Bioware Corp.
//
// cf. nw_s0_resserec

/*! rst
Modified as to broadcast an EVENT_PLAYER_RESSURECTED event
*/

// TODO: Add a ressurection counter (and a death counter)


#include "fi_events"
#include "fi_spell"

#include "x2_inc_spellhook"


void main()
{
  if (!X2PreSpellCastCode())
    return;

  object oTarget = GetSpellTargetObject();
  int nSuccess = Ressurection(oTarget);

  if (nSuccess && GetIsPC(oTarget))
    BroadcastEvent(EVENT_PLAYER_RESSURECTED, oTarget);

  if (nSuccess && !GetIsPC(oTarget))
    SetAILevel(oTarget, AI_LEVEL_DEFAULT);
}

